<?php

namespace BitGoblin\Colossus\Controllers;

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;
use Slim\Routing\RouteContext;
use Slim\Views\Twig;

class ResultController extends Controller {

  public function getList(Request $request, Response $response): Response {
    $view = Twig::fromRequest($request);
    return $view->render($response, 'result/list.twig');
  }

  public function getAdd(Request $request, Response $response): Response {
    $view = Twig::fromRequest($request);
    return $view->render($response, 'result/add.twig');
  }

  public function postAdd(Request $request, Response $response): Response {
    // will add data to database later...

    // redirect the user back to the home page
    $routeContext = RouteContext::fromRequest($request);
    $routeParser = $routeContext->getRouteParser();
    return $response
      ->withHeader('Location', $routeParser->urlFor('result.list'))
      ->withStatus(302);
  }

}
